export class OfferFormModel {
  private readonly _offerId: number;
  private readonly _userId: number;
  public _zipCode: number | string;
  public _spaceType: string;
  public _otherSpaceType: string;
  public _spaceLocateCity: string;
  public _cityCode: number;
  public _availableTimeStart: Date;
  public _availableTimeEnd: Date;
  public _maxNumberOfPeople: number;
  public _spaceDetails: string;
  public _offering: boolean;

  constructor(
    offerId = -1,
    userId = -1,
    zipCode = "",
    spaceType = "",
    otherSpaceType = "",
    spaceLocateCity = "",
    cityCode = 0,
    offering = false,
    availableTimeStart = new Date(),
    availableTimeEnd = new Date(),
    maxNumberOfPeople = 0,
    spaceDetails = ""
  ) {
    this._offerId = offerId;
    this._userId = userId;
    this._zipCode = zipCode;
    this._spaceType = spaceType;
    this._otherSpaceType = otherSpaceType;
    this._spaceLocateCity = spaceLocateCity;
    this._cityCode = cityCode;
    this._offering = offering;
    this._availableTimeStart = availableTimeStart;
    this._availableTimeEnd = availableTimeEnd;
    this._maxNumberOfPeople = maxNumberOfPeople;
    this._spaceDetails = spaceDetails;
  }
}
